### Hierarchy

- CodeRef

## Index

### Constructors

- constructor

### Properties

- code
- description
- type

### Methods

- toString
- fromString

## Constructors

### constructor

- new CodeRef(code: string, description: string, type?: string): CodeRef

- - Defined in models/CodeRef.ts:3

  #### Parameters

  - ##### code: string

  - ##### description: string

  - ##### Default value type: string = TypeNames.CodeRefTypeName

  #### Returns CodeRef

## Properties

### code

code: string

- Defined in models/CodeRef.ts:4

### description

description: string

- Defined in models/CodeRef.ts:4

### type

type: string

- Defined in models/CodeRef.ts:4

## Methods

### toString

- toString(): string

- - Defined in models/CodeRef.ts:6

  #### Returns string

### Static fromString

- fromString(codeRef: any): CodeRef

- - Defined in models/CodeRef.ts:10

  #### Parameters

  - ##### codeRef: any

  #### Returns CodeRef

Generated using TypeDoc